From 68ab2e11e968fba38080b09234c39ca4acd64e69 Mon Sep 17 00:00:00 2001
From: "shaojie.sun" <shaojie.sun@linaro.org>
Date: Wed, 3 Jul 2013 20:32:00 +0800
Subject: [PATCH] POWERDEBUG: Modify "case '\r'" to "case KEY_ENTER"

Becaese "case '\r'" cann't be triggered by ENTER key. So replace "case '\r'" by "case KEY_ENTER".

Signed-off-by: shaojie.sun <shaojie.sun@linaro.org>
---
 display.c |    4 ++--
 display.h |    1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/display.c b/display.c
index e9f4bf6..a8f62e1 100644
--- a/display.c
+++ b/display.c
@@ -401,7 +401,7 @@ static int display_keystroke(int fd, void *data)
 		display_prev_line();
 		break;
 
-	case '\r':
+	case KEY_ENTER:
 		display_select();
 		break;
 
@@ -474,7 +474,7 @@ static int display_find_keystroke(int fd, void *data)
 
 		break;
 
-	case '\r':
+	case KEY_ENTER:
 		if (!windata[current_win].ops || !windata[current_win].ops->selectf)
 			return 0;
 
diff --git a/display.h b/display.h
index 6362a48..fb4c33e 100644
--- a/display.h
+++ b/display.h
@@ -33,4 +33,5 @@ extern int display_init(int wdefault);
 extern int display_register(int win, struct display_ops *ops);
 extern int display_column_name(const char *line);
 
+#define KEY_ENTER 10
 #define NAME_MAX 255
-- 
1.7.9.5

